## PhoshLockscreen

PhoshLockscreen — The main lock screen

## Functions

GtkWidget * | phosh_lockscreen_new ()
void | phosh_lockscreen_set_page ()
PhoshLockscreenPage | phosh_lockscreen_get_page ()

## Properties

PhoshCallsManager * | calls-manager | Read / Write / Construct Only

## Signals

void | lockscreen-unlock | Run Last
void | wakeup-output | Run Last

## Types and Values

enum | PhoshLockscreenPage
#define | PHOSH_TYPE_LOCKSCREEN
| PhoshLockscreen

## Object Hierarchy

        GEnum
        ╰── PhoshLockscreenPage
        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshLockscreen

## Implemented Interfaces

PhoshLockscreen implements AtkImplementorIface and GtkBuildable.

## Description

The lock screen featuring the clock and unlock keypad.

### CSS nodes

PhoshLockscreen has a CSS name with the name phosh-lockscreen.

## Functions

### phosh_lockscreen_new ()

    GtkWidget *
    phosh_lockscreen_new (gpointer layer_shell,
                          gpointer wl_output,
                          PhoshCallsManager *calls_manager);

### phosh_lockscreen_set_page ()

    void
    phosh_lockscreen_set_page (PhoshLockscreen *self,
                               PhoshLockscreenPage page);

### phosh_lockscreen_get_page ()

    PhoshLockscreenPage
    phosh_lockscreen_get_page (PhoshLockscreen *self);

#### Parameters

self | The PhoshLockscreen |

#### Returns

The PhoshLockscreenPage that is currently shown

## Types and Values

### enum PhoshLockscreenPage

This enum indicates which page is shown on the lockscreen. This helps PhoshGnomeShellManager to decide when to emit AcceleratorActivated events over DBus

#### Members

PHOSH_LOCKSCREEN_PAGE_DEFAULT | The default locked page |
PHOSH_LOCKSCREEN_PAGE_UNLOCK | The unlock page (where PIN is entered) |

### PHOSH_TYPE_LOCKSCREEN

    #define PHOSH_TYPE_LOCKSCREEN (phosh_lockscreen_get_type ())

### PhoshLockscreen

    typedef struct _PhoshLockscreen PhoshLockscreen;

## Property Details

### The `“calls-manager”` property

      “calls-manager”            PhoshCallsManager *

Owner: PhoshLockscreen

Flags: Read / Write / Construct Only

## Signal Details

### The `“lockscreen-unlock”` signal

    void
    user_function (PhoshLockscreen *phoshlockscreen,
                   gpointer         user_data)

Flags: Run Last

### The `“wakeup-output”` signal

    void
    user_function (PhoshLockscreen *self,
                   gpointer         user_data)

Emitted when the output showing the lock screen should be woken up.

#### Parameters

self | The PhoshLockscreen emitting this signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last